<?php
$allowed = true;
$current_user_id = get_current_user_id();

if( $allowed)
{

	if(isset($_POST['order_id']))
	{
		$order_id = $_POST['order_id'];
	}
	else 
	{
		$link_array = explode('/',$_SERVER['REQUEST_URI']);
		if(empty($link_array[count($link_array)-1]))
		{
			$order_id = $link_array[count($link_array)-2];
		}	
		else
		{
			$order_id = $link_array[count($link_array)-1];
		}	
		
	}
	//check order id is valid	
	if(!is_numeric($order_id))
	{

		if(get_current_user_id() > 0)
		{
			$myaccount_page = get_option( 'woocommerce_myaccount_page_id' );
			$myaccount_page_url = get_permalink( $myaccount_page);
		}
		else
		{
			$mwb_tyo_pages= get_option('mwb_tyo_tracking_page');
			$page_id = $mwb_tyo_pages['pages']['mwb_track_order_page'];
			$myaccount_page_url = get_permalink( $page_id );
		}
		$allowed = false;
		$reason = __('Please choose an Order.',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN).'<a href="'.$myaccount_page_url.'">'.__('Click Here',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN).'</a>';

		$reason = apply_filters('mwb_tyo_track_choose_order', $reason);
	}
	else 
	{
		$order_customer_id = get_post_meta($order_id, '_customer_user', true);
		if($current_user_id > 0)// check order associated to customer account or not for registered user
		{
			if($order_customer_id != $current_user_id)
			{
				$myaccount_page = get_option( 'woocommerce_myaccount_page_id' );
				$myaccount_page_url = get_permalink( $myaccount_page );
				$allowed = false;
				$reason = __("This order #", MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN).$order_id.__( "is not associated to your account.", MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN). "<a href='$myaccount_page_url'>".__( 'Click Here ', MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN )."</a>";
				$reason = apply_filters('mwb_tyo_track_choose_order', $reason);
			}
			
		}
		else // check order associated to customer account or not for guest user
		{
			if(isset($_SESSION['mwb_tyo_email']))
			{
				$user_email = $_SESSION['mwb_tyo_email'];
				$order_email = get_post_meta($order_id, '_billing_email', true);
				if($user_email != $order_email)
				{
					$allowed = false;
					$mwb_tyo_pages= get_option('mwb_tyo_tracking_page');
					$page_id = $mwb_tyo_pages['pages']['mwb_track_order_page'];
					$myaccount_page_url = get_permalink( $page_id );
					$reason = __("This order #",MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN).$order_id.__( "is not associated to your account.",MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN). "<a href='$myaccount_page_url'>".__( 'Click Here ', MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN )."</a>";
					$reason = apply_filters('mwb_tyo_track_choose_order', $reason);
				}	
			}
			else
			{
				$myaccount_page = get_option( 'woocommerce_myaccount_page_id' );
				$myaccount_page_url = get_permalink( $myaccount_page );
				$allowed = false;
				$reason = __("This order #", MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN).$order_id.__( " is not associated to your account.", MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN). "<a href='$myaccount_page_url'>".__( 'Click Here ', MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN )."</a>";
				$reason = apply_filters('mwb_tyo_track_choose_order', $reason);
			}		
			
		}	
	}
}else{	
	$mwb_tyo_pages= get_option('mwb_tyo_tracking_page');
	$page_id = $mwb_tyo_pages['pages']['mwb_guest_track_order_page'];
	$track_order_url = get_permalink($page_id);
	header( 'Location: '.$track_order_url );
}
get_header( 'shop' );
do_action( 'woocommerce_before_main_content' );

if($allowed){
	
	if(isset($order_id) && !empty($order_id))
	{
		$order = wc_get_order($order_id);
		$order_data = $order->get_data(); 

		$mwb_tyo_all_saved_cities = get_option('mwb_tyo_all_tracking_address',false);
		if(is_array($mwb_tyo_all_saved_cities) && !empty($mwb_tyo_all_saved_cities)){
			foreach($mwb_tyo_all_saved_cities as $saved_key => $saved_value)
			{
				
				$mwb_tyo_modified_all_saved_cities[]=str_replace('mwb_address_','',$saved_value); 
			}
		}

		$mwb_tyo_previous_saved_cities = get_post_meta($order_id,'mwb_tyo_track_custom_cities',true);
		$mwb_tyo_previous_saved_changed_time = get_post_meta($order_id,'mwb_tyo_custom_change_time',true);


		$billing_addresses = $order->get_formatted_billing_address();
		$created_time = $order_data['date_created'];
		$converted_created_date = date_i18n('F d, Y g:i a',strtotime($created_time));

	}
	
	$mwb_tyo_google_api_key = get_option('mwb_tyo_google_api_key',false);
	$mwb_admin_shop_location = get_option('mwb_tyo_order_production_address',false);

	$mwb_order_delivery_date = get_post_meta( $order_id, 'mwb_tyo_estimated_delivery_date',true);
	$mwb_order_delivery_time = get_post_meta($order_id, 'mwb_tyo_estimated_delivery_time',true);
	?>
	<div class="mwb-track-order-main-wrapper">
		<div class="mwb-track-order-content">
			<div class="mwb-track-order-tracking-section">
				<div class="mwb-track-order-tooltip">
					<div class="mwb-track-order-tooltip-wrap">
						<span><?php _e('Order Placed Successfully ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?></span>
						<span><?php _e(' On ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?><?php echo $converted_created_date; ?></span>
						<span><?php if(isset($mwb_admin_shop_location) && $mwb_admin_shop_location != ''){ echo $mwb_admin_shop_location; }else{ _e('United States',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); } ?></span>
					</div>
					<span class="mwb-track-order-inner-circle"></span>
				</div>
				<?php
				if(is_array($mwb_tyo_previous_saved_cities) && !empty($mwb_tyo_previous_saved_cities))
				{
					foreach($mwb_tyo_previous_saved_cities as $city_key => $city_value)
					{
						$mwb_tyo_same_city_occurence = array_count_values($city_value);
						
						?>
						<div class="mwb-track-order-tooltip">
							<div class="mwb-track-order-tooltip-wrap">
								<span><?php echo $city_key; ?></span>
								<div class="mwb-tyo-new-order-time">
									<span>
										<?php

										if(is_array($mwb_tyo_previous_saved_changed_time) && array_key_exists($city_key,$mwb_tyo_previous_saved_changed_time ))
										{
											foreach ($city_value as $key => $value) 
											{
												if($mwb_tyo_same_city_occurence[$value] <= 1){
													?>
													<span><?php echo $value;?><?php _e(' On ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?><?php echo $mwb_tyo_previous_saved_changed_time[$city_key][$key]; ?></span>
													<?php
												}
												else
												{
													$mwb_tyo_occurence_key = end($mwb_tyo_previous_saved_changed_time[$city_key]);
													?>
													<span><?php echo $value;?><?php _e(' On ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?><?php echo $mwb_tyo_occurence_key; ?></span>
													<?php
													break;
												}
											}
										}
										?>
									</span>
								</div>
							</div>
							<span class="mwb-track-order-inner-circle"></span>
						</div>
						<?php
					}
				}
				if(isset($mwb_order_delivery_time) && $mwb_order_delivery_time != ''){
					$mwb_order_delivery_time = date_i18n('g:i a',strtotime($mwb_order_delivery_time));
				}
				
				?>
				<div class="mwb-track-order-last-tooltip">
					<div class="mwb-track-order-last-tooltip-wrap">
						<span><?php _e('Product Delivered',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN);?></span>
						<?php
						if($mwb_order_delivery_date != ''){
							if($mwb_order_delivery_time != ''){
								?>
								<span><?php _e(' On ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?><?php echo $mwb_order_delivery_date.' '. $mwb_order_delivery_time; ?></span>
								<?php
							}
							else{
								?>
								<span><?php _e(' On ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?><?php echo $mwb_order_delivery_date; ?></span>
								<?php
							}
						}
						else
						{
							?>
							<span><?php _e(' -- ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?></span>
							<?php
						}
						?>
						<span><?php echo $order_data['billing']['address_1'].", ".$order_data['billing']['address_2']."</br>".$order_data['billing']['city'].", ".$order_data['billing']['state']."</br>".$order_data['billing']['email']; ?></span>
					</div>
					<span class="mwb-track-order-last-inner-circle"></span>
					<span class="mwb-track-order-outer-inner-circle"></span>
				</div>
			</div>
		</div>
		<div class="mwb-tyo-new-order-details">
			<?php 
			if(WC()->version < '3.0.0'){
				foreach ($order->get_items() as $orderkey => $ordervalue) {
					?>
					<div class="mwb-tyo-new-order-details-inner">
						<?php
						if ($ordervalue['qty'] > 0) {
							$product = apply_filters( 'woocommerce_order_item_product', $order->get_product_from_item( $ordervalue ), $ordervalue );
							$thumbnail     = $product ? apply_filters( 'woocommerce_admin_order_item_thumbnail', $product->get_image( 'thumbnail', array( 'title' => '' ), false ), $orderkey, $ordervalue ) : '';
							$productdata = new WC_Product($product->id);
							$is_visible        = $product && $product->is_visible();
							$product_permalink = apply_filters( 'woocommerce_order_item_permalink', $is_visible ? $product->get_permalink( $ordervalue ) : '', $ordervalue, $order );
							$total += $product->get_price()*$ordervalue['qty'];
							?>
							<div class="order-id"><p><?php _e('order id : ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN);?><strong><?php echo $order_id; ?></strong></p></div>
							<div class="mwb-tyo-order-img-detail">
								<div class="mwb-tyo-order">
									<p class="mwb-tyo-order-name-bold"><?php echo $productdata->post->post_title;?></p>
									<p class="mwb-tyo-seller-name"><?php _e('seller : ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN);?><?php echo get_bloginfo(); ?></p>
								</div>
								<div class="mwb-tyo-product-name">
									<?php if(isset($thumbnail) && !empty($thumbnail))
									{	
										echo  wp_kses_post( $thumbnail );
									}
									else
									{ 
										?>
										<p><img alt="<?php _e( "Placeholder", MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN ); ?>"  class="mwb_tyo_attachment-thumbnail size-thumbnail wp-post-image mwb-img-responsive" src="<?php echo home_url();?>/wp-content/plugins/woocommerce/assets/images/placeholder.png"></p>
										<?php
									}
									?>
								</div>
							</div>
							<div class="price-product">
								<p class="price-bold"><?php echo mwb_tyo_format_price($product->get_price()); ?></p>
								<div class="mwb-tyo-quantity">
									<label><?php _e('Quantity : ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?><?php echo $ordervalue['qty']; ?></label> 
								</div>
							</div>       
							<?php
						}
						?>
					</div>
					<?php
				}
			}
			else
			{

				$total = 0;
				$mwb_tyo_grand_total = 0;
				$mwb_tyo_total_qty =0;
				foreach ($order->get_items() as $orderkey => $ordervalue) {
					?>
					<div class="mwb-tyo-new-order-details-inner">
						<?php
						if ($ordervalue->get_quantity() > 0) {

							$product = apply_filters( 'woocommerce_order_item_product', $order->get_product_from_item( $ordervalue ), $ordervalue );
							$thumbnail     = $product ? apply_filters( 'woocommerce_admin_order_item_thumbnail', $product->get_image( 'thumbnail', array( 'title' => '' ), false ), $orderkey, $ordervalue ) : '';
							$productdata = wc_get_product($product->get_id());
							$is_visible        = $product && $product->is_visible();
							$product_permalink = apply_filters( 'woocommerce_order_item_permalink', $is_visible ? $product->get_permalink( $ordervalue ) : '', $ordervalue, $order );
							$total += $product->get_price()*$ordervalue['qty'];
							$mwb_tyo_grand_total += $total;
							$mwb_tyo_total_qty += $ordervalue['qty'];
							?>
							<div class="order-id"><p><?php _e('order id : ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN);?><strong><?php echo $order_id; ?></strong></p></div>
							<div class="mwb-tyo-order-img-detail">
								<div class="mwb-tyo-order">
									<p class="mwb-tyo-order-name-bold"><?php echo $productdata->get_title();?></p>
									<p class="mwb-tyo-seller-name"><?php _e('seller : ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN);?><?php echo get_bloginfo(); ?></p>
								</div>
								<div class="mwb-tyo-product-name">
									<?php if(isset($thumbnail) && !empty($thumbnail))
									{	
										echo  wp_kses_post( $thumbnail );
									}
									else
									{
										?>
										<p><img alt="<?php _e( "Placeholder", MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN ); ?>"  class="mwb_tyo_attachment-thumbnail size-thumbnail wp-post-image mwb-img-responsive" src="<?php echo home_url();?>/wp-content/plugins/woocommerce/assets/images/placeholder.png"></p>
										<?php
									}
									?>
								</div>
							</div>
							<div class="price-product">
								<p class="price-bold"><?php echo mwb_tyo_format_price($product->get_price()); ?></p>
								<div class="mwb-tyo-quantity">
									<label><?php _e('Quantity : ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?><?php echo $ordervalue['qty']; ?></label> 
								</div>
							</div>        
							<?php
						}
						?>
					</div>
					<?php
				}
			}
			?>
		</div>
	</div>	
	<?php

	if(is_array($mwb_tyo_previous_saved_cities) && !empty($mwb_tyo_previous_saved_cities))
	{
		foreach($mwb_tyo_previous_saved_cities as $mapkey => $mapvalue)
		{
			if(is_array($mapvalue) && !empty($mapvalue))
			{
				foreach($mapvalue as $keymap => $valuemap)
				{
					$mwb_tyo_order_send_to_cities[] = $valuemap;
					$mwb_tyo_order_send_to_cities = array_unique($mwb_tyo_order_send_to_cities);
					$mwb_tyo_order_send_to_cities = array_values($mwb_tyo_order_send_to_cities);
					$mwb_tyo_order_sent_cities = json_encode($mwb_tyo_order_send_to_cities);
				}
			}

		}
	}

	if(isset($mwb_tyo_order_sent_cities) && ( $mwb_tyo_order_sent_cities != '' || $mwb_tyo_order_sent_cities != null)){

		echo '<input type="hidden" name="mwb_tyo_google_distance_map" id="mwb_tyo_google_distance_map" value="'.htmlspecialchars($mwb_tyo_order_sent_cities).'">';
	}
	else
	{
		$mwb_tyo_order_production_add = get_option('mwb_tyo_order_production_address',false);
		$address[] = $mwb_tyo_order_production_add;
		$mwb_tyo_order_sent_cities = $address;
		echo '<input type="hidden" name="mwb_tyo_google_distance_map" id="mwb_tyo_google_distance_map" value="'.htmlspecialchars(json_encode($mwb_tyo_order_sent_cities)).'">';
	}

	$mwb_tyo_order_production_add = get_option('mwb_tyo_order_production_address',false);
	$address = $mwb_tyo_order_production_add;
	$MwbTyoBillingAdd = $order_data['billing']['city'].'+'.$order_data['billing']['state'];

	$mwb_tyo_origin_location = get_option('mwb_tyo_address_get_correct',false);

	if( isset($mwb_tyo_origin_location) && ($mwb_tyo_origin_location != '' || $mwb_tyo_origin_location != null)){
		$lat = get_option('mwb_tyo_address_latitude',false);
		$long = get_option('mwb_tyo_address_longitude',false);
		?>
		<input type="hidden" id="start_hidden" value="<?php echo $lat; ?>">
		<input type="hidden" id="end_hidden" value="<?php echo $long; ?>">
		<input type="hidden" id="billing_hidden" value="<?php echo $MwbTyoBillingAdd; ?>">
		<?php
	}
	else
	{
		$geocode = file_get_contents('http://maps.google.com/maps/api/geocode/json?address='.urlencode($address).'&sensor=false');
		$output= json_decode($geocode);

		if(isset($output->results[0]) && !empty($output->results[0]))
		{
			$lat = $output->results[0]->geometry->location->lat;
			$long = $output->results[0]->geometry->location->lng;
			?>
			<input type="hidden" id="start_hidden" value="<?php echo $lat; ?>">
			<input type="hidden" id="end_hidden" value="<?php echo $long; ?>">
			<input type="hidden" id="billing_hidden" value="<?php echo $MwbTyoBillingAdd; ?>">
			<?php
			update_option('mwb_tyo_address_get_correct','yes');
			update_option('mwb_tyo_address_latitude',$lat);
			update_option('mwb_tyo_address_longitude',$long);

		}
	}
	?>
	<h3><?php _e('Places Where Your Package Travel',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?></h3>
	<div id="map"></div>
	<div id="directions-panel"></div>
	<?php
}
else{
	$return_request_not_send = __('Tracking Request can\'t be send. ', MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN );
	echo apply_filters('mwb_tyo_tracking_request_not_send', $return_request_not_send);
	echo $reason;
}
get_footer('shop');
?>