<?php
/**
 * Exit if accessed directly
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
$allowed = true;

$current_user_id = get_current_user_id();

if( $allowed == true )
{
	if(isset($_POST['order_id']))
	{
		$order_id = $_POST['order_id'];
	}
	else 
	{
		$link_array = explode('/',$_SERVER['REQUEST_URI']);
		if(empty($link_array[count($link_array)-1]))
		{
			$order_id = $link_array[count($link_array)-2];
		}	
		else
		{
			$order_id = $link_array[count($link_array)-1];
		}	
		
	}

	//check order id is valid
	
	if(!is_numeric($order_id))
	{

		if(get_current_user_id() > 0)
		{
			$myaccount_page = get_option( 'woocommerce_myaccount_page_id' );
			$myaccount_page_url = get_permalink( $myaccount_page);
		}
		else
		{
			$mwb_tyo_pages= get_option('mwb_tyo_tracking_page');
			$page_id = $mwb_tyo_pages['pages']['mwb_track_order_page'];
			$myaccount_page_url = get_permalink( $page_id );
		}
		$allowed = false;
		$reason = __('Please choose an Order.',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN).'<a href="'.$myaccount_page_url.'">'.__('Click Here',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN).'</a>';

		$reason = apply_filters('mwb_tyo_track_choose_order', $reason);
	}
	else 
	{

		$order_customer_id = get_post_meta($order_id, '_customer_user', true);
		
		if($current_user_id > 0)    // check order associated to customer account or not for registered user
		{
			if($order_customer_id != $current_user_id)
			{
				$myaccount_page = get_option( 'woocommerce_myaccount_page_id' );
				$myaccount_page_url = get_permalink( $myaccount_page );
				$allowed = false;
				$reason = __("This order #", MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN).$order_id.__( "is not associated to your account.", MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN). "<a href='$myaccount_page_url'>".__( 'Click Here ', MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN )."</a>";
				$reason = apply_filters('mwb_tyo_track_choose_order', $reason);
			}
		}
		else						// check order associated to customer account or not for guest user
		{
			if(isset($_SESSION['mwb_tyo_email']))
			{
				$user_email = $_SESSION['mwb_tyo_email'];
				$order_email = get_post_meta($order_id, '_billing_email', true);
				if($user_email != $order_email)
				{
					$allowed = false;
					$mwb_tyo_pages= get_option('mwb_tyo_tracking_page');
					$page_id = $mwb_tyo_pages['pages']['mwb_track_order_page'];
					$myaccount_page_url = get_permalink( $page_id );
					$reason = __("This order #",MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN).$order_id.__( "is not associated to your account.",MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN). "<a href='$myaccount_page_url'>".__( 'Click Here ', MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN )."</a>";
					$reason = apply_filters('mwb_tyo_track_choose_order', $reason);
				}	
			}
			else
			{
				$allowed = false;
				$myaccount_page = get_option( 'woocommerce_myaccount_page_id' );
				$myaccount_page_url = get_permalink( $myaccount_page );
				$allowed = false;
				$reason = __("This order #", MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN).$order_id.__( " is not associated to your account.", MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN). "<a href='$myaccount_page_url'>".__( 'Click Here ', MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN )."</a>";
				$reason = apply_filters('mwb_tyo_track_choose_order', $reason);
			}		
			
		}	
	}
}else{
	$mwb_tyo_pages= get_option('mwb_tyo_tracking_page');
	$page_id = $mwb_tyo_pages['pages']['mwb_guest_track_order_page'];
	$track_order_url = get_permalink($page_id);
	header( 'Location: '.$track_order_url );
}

get_header( 'shop' );
do_action( 'woocommerce_before_main_content' );


// do_action( 'mwb_woocommerce_before_main_content',  $order_id);
	/**
	 * woocommerce_before_main_content hook.
	 *
	 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
	 * @hooked woocommerce_breadcrumb - 20
	 */

	if ($allowed) 
	{
		$mwb_track_order_custom_orders = get_option('mwb_tyo_new_settings_custom_statuses_for_order_tracking',false);

		$mwb_track_status_activation = get_option('mwb_tyo_statuses_for_order_tracking_on_activation',false);

		if(!is_array($mwb_track_order_custom_orders) && empty($mwb_track_order_custom_orders))
		{
			
			$mwb_track_order_custom_orders = $mwb_track_status_activation;
		}
		
		if(is_array($mwb_track_order_custom_orders) && !empty($mwb_track_order_custom_orders)){
			foreach ($mwb_track_order_custom_orders as $key => $value) {

				$mwb_tyo_new_custom_order_statuses[$value] = substr($value,3); 
			}
		}

		if(is_array($mwb_tyo_new_custom_order_statuses) && !empty($mwb_tyo_new_custom_order_statuses)){

			$mwb_tyo_total_order_statuses = count($mwb_tyo_new_custom_order_statuses); 
		}

		$order = new WC_Order( $order_id );
		
		$expected_delivery_date = get_post_meta( $order_id, 'mwb_tyo_estimated_delivery_date' , true );
		$expected_delivery_time = get_post_meta( $order_id, 'mwb_tyo_estimated_delivery_time' , true );
		$order_delivered_date = get_post_meta( $order_id, '_completed_date', true );
		$mwb_tyo_selected_date_format = get_option('mwb_tyo_selected_date_format',false);

		$mwb_tyo_first_counter = 1;
		if(WC()->version < "3.0.0")
		{
			$order_status = $order->post_status;
			$ordered_by = $order->post->post_author;
			$ordered_by = get_user_by( 'ID', $ordered_by );
			$mwb_date_on_order_created = $order->created_date;
			if(isset($mwb_tyo_selected_date_format) && !empty($mwb_tyo_selected_date_format))
			{

				$mwb_tyo_converted_date = strtotime($mwb_date_on_order_created);
				$mwb_created_date = date_i18n( $mwb_tyo_selected_date_format,$mwb_tyo_converted_date);

			}
			else
			{
				
				$mwb_created_date = date_i18n( 'F d, g:i a', strtotime($mwb_date_on_order_created));
			}

			$mwb_date_on_order_change=$order->modified_date;
			if(isset($mwb_tyo_selected_date_format) && !empty($mwb_tyo_selected_date_format))
			{
				$mwb_tyo_converted_date_change = strtotime($mwb_date_on_order_change);
				$mwb_modified_date = date_i18n( $mwb_tyo_selected_date_format,$mwb_tyo_converted_date_change);

			}
			else
			{
				
				$mwb_modified_date=date_i18n( 'F d, g:i a', strtotime( $mwb_date_on_order_change ));
			}
			
			$mwb_status_change_time = get_post_meta( $order_id, 'mwb_track_order_onchange_time', true );
			$mwb_status_change_time['wc-'.$order_status]=$mwb_modified_date;

			$ordered_by = $ordered_by->data->display_name;
		}
		else
		{
			$order_status='wc-'.$order->get_status();

			$ordered_by = $order->get_customer_id();
			$ordered_by = get_user_by( 'ID', $ordered_by );
			$ordered_by = $ordered_by->data->display_name;
			$mwb_date_on_order_created=$order->get_date_created();
			
			if(isset($mwb_tyo_selected_date_format) && !empty($mwb_tyo_selected_date_format))
			{
				$mwb_tyo_converted_date = strtotime($mwb_date_on_order_created);
				$mwb_created_date = date_i18n( $mwb_tyo_selected_date_format,$mwb_tyo_converted_date);
				

			}
			else
			{
				$mwb_created_date = date_i18n( wc_date_format(), strtotime( $mwb_date_on_order_created ));
				
			}

			$mwb_date_on_order_change = $order->get_date_modified();
			if(isset($mwb_tyo_selected_date_format) && !empty($mwb_tyo_selected_date_format))
			{
				$mwb_tyo_converted_date_change = strtotime($mwb_date_on_order_change);
				$mwb_modified_date=date_i18n( $mwb_tyo_selected_date_format,$mwb_tyo_converted_date_change);


			}
			else
			{
				$mwb_modified_date=date_i18n( 'F d, g:i a', strtotime( $mwb_date_on_order_change ));
			}
			$mwb_status_change_time = get_post_meta( $order_id, 'mwb_track_order_onchange_time', true );
			$mwb_status_change_time[$order_status]=$mwb_modified_date;
			
		}
		$mwb_tyo_enhanced_customer_note=get_post_meta($order_id,'mwb_tyo_enhanced_cn',true);
		 if(!empty($mwb_tyo_enhanced_customer_note))
		 {
		 	$mwb_tyo_enhanced_customer_note=$mwb_tyo_enhanced_customer_note;
		 }
		 else{
		 	$mwb_tyo_enhanced_customer_note='';
		 }
		$mwb_tyo_all_order_stauses=wc_get_order_statuses();
		$flag_count = false;
		?>
		<!-- <div id="mwb_tyo_enhanced_customer_notice_newtemplate1">
			<label class="mwb_tyo_enhanced_custome"><?php _e("Customer Note",MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN);?></label>
			<div class="mwb_tyo_enhanced_content"><?php echo $mwb_tyo_enhanced_customer_note; ?></div>
		</div> -->
		<div class="mwb-tyo-main-data-wrapper">
			<!-- <!-- <!-- <!-- <!-- <div id="mwb_tyo_enhanced_customer_notice_newtemplate1">
				<label class="mwb_tyo_enhanced_custome"><?php _e("Customer Notice",MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN);?></label>
				<div class="mwb_tyo_enhanced_content"><?php echo $mwb_tyo_enhanced_customer_note; ?></div>
			</div> -->
			<div class="mwb-tyo-order-progress-data-field">
				<div class="mwb-tyo-small-circle1 mwb-circle-new">
					<div class="sub-circle mwb-tyo-sub-circle1">
					</div>
				</div>
				<div class="mwb-tyo-skill">
					<div class="mwb-tyo-outer">
						<div id="ineer_status" class="mwb-tyo-inner" data-progress="<?php echo (count($mwb_status_change_time)+1); ?>" data-progress-bar-height="<?php echo ($mwb_tyo_total_order_statuses+1); ?>"> 
						</div>  
					</div>
				</div>
				<div class="mwb-tyo-small-circle2 mwb-circle-new">
					<div class="sub-circle mwb-tyo-sub-circle2">
					</div>
				</div>
			</div>
			<div class="mwb-tyo-order-tracking-section-new">

				<div class="mwb-tooltip" id="mwb-tooltip_1">
					<h4><?php _e('Order Placed',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN);?></h4>
					<p><?php _e('your order is successfully placed on',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?> </p>
					<span><?php 
						$reset = date_default_timezone_get();
						$timezone_string = get_option( 'timezone_string',false); 
						if(!empty($timezone_string))
						{
						 date_default_timezone_set($timezone_string);
						}
						$mwb_created_date = strtotime($mwb_created_date);
						date_default_timezone_set($reset);
						echo date_i18n( $mwb_tyo_selected_date_format,$mwb_created_date); 
						?>
					</span>
				</div>
				<?php  $counter = 1;
				
				if(is_array($mwb_track_order_custom_orders) && !empty($mwb_track_order_custom_orders)&&!empty($mwb_status_change_time))
				{
                    // if($_SERVER['REMOTE_ADDR'] == '103.97.184.162')
                    // {
                    // 	print_r($mwb_track_order_custom_orders);
                    // }
					foreach($mwb_track_order_custom_orders as $order_key => $order_value)
					{	
						if(array_key_exists($order_value, $mwb_status_change_time) && ($order_value != 'wc-completed'))
						{
							?>
							<div class="mwb-tooltip" id="mwb-tooltip_<?php echo $counter+1; ?>">
								<?php if(array_key_exists($order_value,$mwb_tyo_all_order_stauses))
								{ ?>
								<h4><?php echo  $mwb_tyo_all_order_stauses[$order_value];?></h4>
								<?php } else{?> 
								<h4><?php echo substr($order_value,3); ?></h4>
								<?php }?>
								<p><?php _e('your order status is ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?></p>
								 <?php if(array_key_exists($order_value,$mwb_tyo_all_order_stauses))
							        { ?>
                                       <p><?php echo  $mwb_tyo_all_order_stauses[$order_value];?></p>
							      <?php } else{?> 
								<p><?php echo substr($order_value,3); ?>
								<?php }?><?php _e(' on',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?> </p>
								<span>
									<?php if(isset($mwb_tyo_selected_date_format) && !empty($mwb_tyo_selected_date_format)){

										$reset = date_default_timezone_get();
										$timezone_string = get_option( 'timezone_string' );
										date_default_timezone_set($timezone_string);
										$mwb_tyo_converted_date_change_on_show = strtotime($mwb_status_change_time[$order_value]);
										date_default_timezone_set($reset);

										echo date_i18n( $mwb_tyo_selected_date_format,$mwb_tyo_converted_date_change_on_show); 
									}
									else
									{
										echo $mwb_status_change_time[$order_value];
									}
									?>
									
								</span> 
							</div>
							<?php
						}
						else
						{
							if(array_key_exists($order_value, $mwb_status_change_time) && ($order_value == 'wc-completed'))
							{
								$flag_count = true;
								$mwb_tyo_new_array = array_slice($mwb_track_order_custom_orders, 0, $order_key);

								?>
								<div class="mwb-tooltip" id="mwb-tooltip_<?php echo $counter+1; ?>">
									<h4><?php echo substr($order_value,3); ?></h4>
									<p><?php _e('your order status is ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?></p>
									<p><?php echo substr($order_value,3); ?><?php _e(' on',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?> </p>
									<span>
										<?php if(isset($mwb_tyo_selected_date_format) && !empty($mwb_tyo_selected_date_format)){
											// $mwb_tyo_converted_date_change_on_show = strtotime($mwb_status_change_time[$order_value]);
											$reset = date_default_timezone_get();
											$timezone_string = get_option( 'timezone_string' );
											date_default_timezone_set($timezone_string);
											$mwb_tyo_converted_date_change_on_show = strtotime($mwb_status_change_time[$order_value]);
											date_default_timezone_set($reset);
											echo date_i18n( $mwb_tyo_selected_date_format,$mwb_tyo_converted_date_change_on_show); 
										}else{

											echo $mwb_status_change_time[$order_value]; 
										} 
										?>
										
									</span> 
								</div>
								<?php
							}
							else
							{
								if(end($mwb_track_order_custom_orders))
								{
									$mwb_tyo_next_key = $order_key;
									$mwb_tyo_new_value = $mwb_track_order_custom_orders[$mwb_tyo_next_key];
								}else
								{
									$mwb_tyo_next_key = $order_key+1;
									$mwb_tyo_new_value = $mwb_track_order_custom_orders[$mwb_tyo_next_key];
								}
								if(array_key_exists($mwb_tyo_new_value,$mwb_status_change_time)){
									?>
									<div class="mwb-tooltip" id="mwb-tooltip_<?php echo $counter+1; ?>">
										<h4><?php echo substr($order_value,3); ?></h4>
										<p><?php _e('your order status is ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?></p>
										<p><?php echo substr($order_value,3); ?><?php _e(' on',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?> </p>
										<span><?php if(isset($mwb_tyo_selected_date_format) && !empty($mwb_tyo_selected_date_format))
											{
												// $mwb_tyo_converted_date_change_on_show = strtotime($mwb_status_change_time[$order_value]);
												$reset = date_default_timezone_get();
												$timezone_string = get_option( 'timezone_string' );
												date_default_timezone_set($timezone_string);
												$mwb_tyo_converted_date_change_on_show = strtotime($mwb_status_change_time[$order_value]);
												date_default_timezone_set($reset);
												echo date_i18n($mwb_tyo_selected_date_format,$mwb_tyo_converted_date_change_on_show);
											}else
											{

												echo $mwb_status_change_time[$mwb_tyo_new_value]; 
											}
											?></span> 
										</div>
										<?php
									}
									else
									{
										?>
										<div class="mwb-tooltip" id="mwb-tooltip_<?php echo $counter+1; ?>">
											<h4><?php echo substr($order_value,3); ?></h4>
											<p><?php _e('your order yet to be ',MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN); ?></p>
											<span><h4><?php echo substr($order_value,3); ?></h4></span> 
										</div>
										<?php
									}
								}

							}
							$counter++;
						}

						if($flag_count)
						{   
							if(!empty($mwb_tyo_new_array)&&is_array($mwb_tyo_new_array))
							{
							$mwb_tyo_new_array = array_reverse($mwb_tyo_new_array);
							foreach($mwb_tyo_new_array as $new_key => $new_value)
							{
								if(!array_key_exists($new_value,$mwb_status_change_time))
								{
									$mwb_status_change_time[$new_value] = $mwb_modified_date;
									update_post_meta($order_id,'mwb_track_order_onchange_time',$mwb_status_change_time);
								}
							}
						}

						}
					}
					?>
				</div>
			</div>
			<?php
		}
		else{
			$return_request_not_send = __('Tracking Request can\'t be send. ', MWB_TRACK_YOUR_ORDER_TEXT_DOMAIN );
			echo apply_filters('mwb_tyo_tracking_request_not_send', $return_request_not_send);
			echo $reason;
		}
/**
 * woocommerce_after_main_content hook.
 *
 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
 */
do_action( 'woocommerce_after_main_content' );
get_footer( 'shop' );
